Subject: bug#54685: 28.0.92; incorrect font on new frame after menu-set-font (Win32)

From: Corwin Brust <[email-masked]>
Date: Sun, 3 Apr 2022 10:53:05 -0500

On Sun, Apr 3, 2022 at 10:03 AM Eli Zaretskii <[email-masked]> wrote:
>
> What other variants of this font do you have there?

Here are all of the variants I have for the "Fira Sans" font.

Thin**
Thin Italic**
UltraLight**
UltraLight Italic**
ExtraLight Italic**
ExtraLight**
Light**
Light Italic**
Semi Light**
Semi Light Italic**
Regular
Italic
Medium
Medium Italic
SemiBold**
SemiBold Italic**
Bold
Bold Italic
ExtraBold**
ExtraBold Italic**
Heavy**
Heavy Italic**

All variants appear correctly after I select them as default in the
initial frame.  Those followed by ** exhibit the problem: they aren't
used in the new frame after the variant was selected as default in the
initial frame.  It's a bit time-consuming to iterate over all variants
so I started with a font that has lots of variants.  Let me know if
you'd like me to try with some of the other fonts where I've been able
to reproduce the problem.